Bug 443801 - Hostname Configuration - should default to "DHCP" when ip=dhcp
Hostname Configuration - should default to "DHCP" when ip=dhcp
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 09:36 EDT by James Laska
Modified: 2013-09-02 02:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 21:09:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (35.50 KB, text/plain)
2008-04-23 09:36 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2008-04-23 09:36:31 EDT
Description of problem:

The stage#2 Hostname Configuration screen currently defaults to "manual" using
the dhcp provided ip/hostname.  This should default to "DHCP"

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Start installation booting with ksdevice=$valid ip=dhcp
2. Proceed to stage#2 networking configuration screen

    ┌──────────────────────┤ Network Configuration ├──────────────────────┐
    │                                                                     │
    │ The current configuration settings for each interface are listed    │
    │ next to the device name.  Unconfigured interfaces are shown as      │
    │ UNCONFIGURED.  To configure an interface, highlight it and choose   │
    │ Edit.  When you are finished, press OK to continue.                 │
    │                                                                     │
    │                    eth0: UNCONFIGURED          ↑                    │
    │                    eth1: Active on boot, DHCP  ▮                    │
    │                                                ▒                    │
    │                                                ▒                    │
    │                                                ↓                    │
    │                                                                     │
    │        ┌──────┐               ┌────┐               ┌──────┐         │
    │        │ Edit │               │ OK │               │ Back │         │
    │        └──────┘               └────┘               └──────┘         │
    │                                                                     │
    │                                                                     │
    └─────────────────────────────────────────────────────────────────────┘
  
Actual results:

      ┌────────────────────┤ Hostname Configuration ├────────────────────┐      
      │                                                                  │      
      │ If your system is part of a larger network where hostnames are   │      
      │ assigned by DHCP, select automatically via DHCP. Otherwise,      │      
      │ select manually and enter a hostname for your system. If you     │      
      │ do not, your system will be known as 'localhost.'                │      
      │                                                                  │      
      │       ( ) automatically via DHCP                                 │      
      │       (*) manually               ibft0.test.redhat.com___        │      
      │                                                                  │      
      │             ┌────┐                         ┌──────┐              │      
      │             │ OK │                         │ Back │              │      
      │             └────┘                         └──────┘              │      
      │                                                                  │      
      │                                                                  │      
      └──────────────────────────────────────────────────────────────────┘      


Expected results:

      ┌────────────────────┤ Hostname Configuration ├────────────────────┐
      │                                                                  │
      │ If your system is part of a larger network where hostnames are   │
      │ assigned by DHCP, select automatically via DHCP. Otherwise,      │
      │ select manually and enter a hostname for your system. If you     │
      │ do not, your system will be known as 'localhost.'                │
      │                                                                  │
      │       (*) automatically via DHCP                                 │
      │       ( ) manually               ibft0.test.redhat.com___        │
      │                                                                  │
      │             ┌────┐                         ┌──────┐              │
      │             │ OK │                         │ Back │              │
      │             └────┘                         └──────┘              │
      │                                                                  │
      │                                                                  │
      └──────────────────────────────────────────────────────────────────┘


Additional info:

sh-3.2# cat /proc/cmdline 
ksdevice=link ip=dhcp noipv6
method=ftp://porkchop.redhat.com//mnt/rawhide/nightly/rawhide-20080422/x86_64/os
text console=ttyS0,115200
Comment 1 James Laska 2008-04-23 09:36:31 EDT
Created attachment 303492 [details]
anaconda.log
Comment 2 Jeremy Katz 2008-04-23 11:57:59 EDT
I vaguely remember that this was intentional
Comment 3 David Cantrell 2008-04-23 21:09:23 EDT
On porpoise.  See bug #408921.
Comment 4 James Laska 2008-04-24 07:04:29 EDT
Ah good point (re:408921) ... thanks for the pointer :)

Note You need to log in before you can comment on or make changes to this bug.